package com.flyfish.framework.r2dbc;

import com.flyfish.framework.r2dbc.config.R2dbcDataConfig;
import com.flyfish.framework.r2dbc.repository.TestDO;
import com.flyfish.framework.r2dbc.repository.TestQO;
import com.flyfish.framework.r2dbc.repository.TestRepository;
import com.flyfish.framework.r2dbc.repository.reference.TestAsso;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.Import;
import org.springframework.test.context.junit.jupiter.SpringExtension;

import javax.annotation.Resource;

@ExtendWith(SpringExtension.class)
@SpringBootTest(classes = R2DbcRepositoryTest.class)
@SpringBootApplication(scanBasePackages = "com.flyfish.framework")
@Import(R2dbcDataConfig.class)
public class R2DbcRepositoryTest {

    @Resource
    private TestRepository testRepository;

    @Test
    public void test() {
        TestQO qo = new TestQO();
        qo.setName("名");
        TestDO test = new TestDO();
        test.setId("1");
        test.setCode("ttt");
        test.setName("测试名称");
        test.setOtherId("1");

        System.out.println(testRepository.insert(test).block());
        System.out.println(testRepository.findAll(qo).collectList().block());
    }
}
