package com.flyfish.framework.r2dbc.repository;

import com.flyfish.framework.domain.base.AuditDomain;
import com.flyfish.framework.r2dbc.repository.reference.TestAsso;
import com.flyfish.framework.r2dbc.repository.reference.TestChild;
import lombok.Data;
import org.springframework.data.annotation.Reference;
import org.springframework.data.annotation.Transient;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.util.List;

@Table("test")
@Data
public class TestDO extends AuditDomain {

    @Column("other_id")
    @Reference
    private String otherId;

    @Reference(TestChild.class)
    @Transient
    private List<TestChild> children;
}
